<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
  
// database connection will be here
// include database and object files
include_once '../config/database.php';
include_once '../programList/programList.php';
  
// instantiate database and product object
$database = new Database();
$db = $database->getConnection();
  
// initialize object
$programList = new ProgramList($db);

$request_method=$_SERVER["REQUEST_METHOD"];

// get posted data
$data = json_decode(file_get_contents("php://input"));

switch($request_method)
{
    case 'POST':
        // make sure data is not empty
        if(!empty($data)){
            // set product property values
            $programList->programName = $data->programName;
            
            $result = $programList->getCourseList();
            
            if (!empty($result)){
                http_response_code(200);
                echo json_encode($result);
            }else{
                http_response_code(404);
                echo json_encode(array("message" => "Empty Result"));
            }
        
        }else{
            // set response code - 400 bad request
            http_response_code(400);
            // tell the user
            echo json_encode(array("message" => "Unable to add new user. User data is empty"));
        }
        break;
        
        default:
            // set response code - 405 bad request
            http_response_code(405);
            // tell the user
            echo json_encode(array("message" => "Invalid Method"));
            break;
}